MONGOC_APM_COMMAND_FAILED_GET_REPLY(3)

NAME
mongoc_apm_command_failed_get_reply - mongoc_apm_command_failed_get_reply()

SYNOPSIS

const bson_t *
mongoc_apm_command_failed_get_reply (
   const mongoc_apm_command_failed_t *event);

Returns the server's reply to a command that failed. The reply contains details about why the command failed. If no server reply was received, such as in the event of a network error, then the reply is a valid empty BSON document. The data is only valid in the scope of the callback that receives this event; copy it if it will be accessed after the callback returns.

PARAMETERS

•   event: A mongoc_apm_command_failed_t.

RETURNS

A bson_t that should not be modified or freed.

SEE ALSO

Introduction to Application Performance Monitoring

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc